For the complete documentation index, see llms.txt. This page is also available as Markdown.

Creates Document Notification Rule

SKGB bildirim kuralı oluşturur.

post

SKGB bildirim kuralı oluşturmak için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
Responses
200

SKGB bildirim kuralı oluşturur.

application/json
booleanOptional
post/Notification
POST /einvoice/Notification HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 248

{
  "notificationDto": {
    "ID": 1,
    "RuleName": "text",
    "Rules": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "Contact": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ],
    "IsActive": true
  }
}
true
var options = new RestClientOptions("//einsurance/Notification")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""notificationDto"": {" + "\n" +
@"    ""ID"": ""<integer>""," + "\n" +
@"    ""RuleName"": ""<string>""," + "\n" +
@"    ""Rules"": [" + "\n" +
@"      {" + "\n" +
@"        ""Property"": ""DocumentProfile""," + "\n" +
@"        ""Operator"": ""GreaterOrEqual""," + "\n" +
@"        ""ValueFirst"": ""<string>""," + "\n" +
@"        ""ValueSecond"": ""<string>""" + "\n" +
@"      }," + "\n" +
@"      {" + "\n" +
@"        ""Property"": ""TaxNumber""," + "\n" +
@"        ""Operator"": ""GreaterOrEqual""," + "\n" +
@"        ""ValueFirst"": ""<string>""," + "\n" +
@"        ""ValueSecond"": ""<string>""" + "\n" +
@"      }" + "\n" +
@"    ]," + "\n" +
@"    ""Contact"": [" + "\n" +
@"      {" + "\n" +
@"        ""NotificationValue"": ""<string>""," + "\n" +
@"        ""NotificationValueType"": ""Mail""" + "\n" +
@"      }," + "\n" +
@"      {" + "\n" +
@"        ""NotificationValue"": ""<string>""," + "\n" +
@"        ""NotificationValueType"": ""Whatsapp""" + "\n" +
@"      }" + "\n" +
@"    ]," + "\n" +
@"    ""IsActive"": ""<boolean>""" + "\n" +
@"  }" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);

Last updated